de.caff.util.settings.swing

## Class FixValueProperty<T>

- java.lang.Object
- - de.caff.util.settings.AbstractBasicChangeableItem
  - - de.caff.util.settings.AbstractBasicLocalizableChangeableItem
    - - de.caff.util.settings.swing.AbstractBasicSimpleEditableChangeableItem
      - - de.caff.util.settings.swing.FixValueProperty<T>

- All Implemented Interfaces:
    ChangeableItem, EditableProperty, java.io.Serializable

      public class FixValueProperty<T>
      extends AbstractBasicSimpleEditableChangeableItem

  Fix value property.
  Author:
    Rammi
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixValueProperty(java.lang.String basicName, java.lang.String baseTag, T value)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addValueChangeListener(java.beans.PropertyChangeListener listener)` Add a listener which will be called for all value changes.
    `void` | `addValueChangeListenerWeakly(java.beans.PropertyChangeListener listener)` Add a listener which will be called for all value changes.
    `EditorProvider` | `getEditorProvider(java.util.Locale l)` Get the editor provider which provides editor components for editing this preference property.
    `void` | `removeValueChangeListener(java.beans.PropertyChangeListener listener)` Remove a listener which will be called for all value changes.
    `void` | `removeValueChangeListenerWeakly(java.beans.PropertyChangeListener listener)` Remove a weakly referenced listener which will be called for all value changes.

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicLocalizableChangeableItem

      `getBaseTag, getLabelString, getMenuString, getName, getString`

    - ### Methods inherited from class de.caff.util.settings.AbstractBasicChangeableItem

      `firePropertyChange, fireValueChange, fireValueChange, fireValueChange, getBasicName, getPropertyName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.util.settings.swing.EditableProperty

      `getName`

- - ### Constructor Detail

    - #### FixValueProperty

          public FixValueProperty(@NotNull
                                  java.lang.String basicName,
                                  @NotNull
                                  java.lang.String baseTag,
                                  T value)

      Constructor.
      Parameters:
        `basicName` - basic name
        `baseTag` - basic I18n tag
        `value` - fix property value

  - ### Method Detail

    - #### getEditorProvider

          @NotNull
          public EditorProvider getEditorProvider(@Nullable
                                                           java.util.Locale l)

      Get the editor provider which provides editor components for editing this preference property.
      Parameters:
        `l` - locale used for i18n, `null` for default
      Returns:
        editor provider

    - #### addValueChangeListener

          public void addValueChangeListener(@NotNull
                                             java.beans.PropertyChangeListener listener)

      Add a listener which will be called for all value changes.
      Specified by:
        `addValueChangeListener` in interface `ChangeableItem`
      Overrides:
        `addValueChangeListener` in class `AbstractBasicChangeableItem`
      Parameters:
        `listener` - value change listener to add
      See Also:
        `AbstractBasicChangeableItem.addValueChangeListenerWeakly(java.beans.PropertyChangeListener)`

    - #### removeValueChangeListener

          public void removeValueChangeListener(@NotNull
                                                java.beans.PropertyChangeListener listener)

      Remove a listener which will be called for all value changes.
      Specified by:
        `removeValueChangeListener` in interface `ChangeableItem`
      Overrides:
        `removeValueChangeListener` in class `AbstractBasicChangeableItem`
      Parameters:
        `listener` - value change listener to remove
      See Also:
        `AbstractBasicChangeableItem.removeValueChangeListenerWeakly(java.beans.PropertyChangeListener)`

    - #### addValueChangeListenerWeakly

          public void addValueChangeListenerWeakly(@NotNull
                                                   java.beans.PropertyChangeListener listener)

      Add a listener which will be called for all value changes. The listener is registered with a weak reference, allowing it to be freed if this is the only reference.

      If you want to remove the listener please use the corresponding `removeValueChangeListenerWeakly(java.beans.PropertyChangeListener)` method.

      Specified by:
        `addValueChangeListenerWeakly` in interface `ChangeableItem`
      Overrides:
        `addValueChangeListenerWeakly` in class `AbstractBasicChangeableItem`
      Parameters:
        `listener` - value change listener to add
      See Also:
        `addValueChangeListener(java.beans.PropertyChangeListener)`

    - #### removeValueChangeListenerWeakly

          public void removeValueChangeListenerWeakly(@NotNull
                                                      java.beans.PropertyChangeListener listener)

      Remove a weakly referenced listener which will be called for all value changes.
      Specified by:
        `removeValueChangeListenerWeakly` in interface `ChangeableItem`
      Overrides:
        `removeValueChangeListenerWeakly` in class `AbstractBasicChangeableItem`
      Parameters:
        `listener` - value change listener to remove
      See Also:
        `removeValueChangeListener(java.beans.PropertyChangeListener)`